/*******************************************************************************
 * Copyright (C) 2005 - 2014 TIBCO Software Inc. All rights reserved.
 * http://www.jaspersoft.com.
 * 
 * Unless you have purchased  a commercial license agreement from Jaspersoft,
 * the following license terms  apply:
 * 
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 ******************************************************************************/
package com.jaspersoft.webservice.data.query;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.query.JRQueryExecuter;

/**
 * Internal query executer wrapper for the datasource, it only
 * restrict the type of the datasource to IWSDataSource
 * 
 * @author Orlandin Marco
 *
 */
public interface IWSQueryExecuterWrapper extends JRQueryExecuter {

	/**
	 * Return a not null IWSDataSource
	 */
	@Override
	public IWSDataSource createDatasource() throws JRException;
	
}
