package com.jaspersoft.weservice.authenticator.google;

import com.jaspersoft.webservice.data.enumerations.AuthType;

public class GoogleAuthType extends AuthType {

	public static final GoogleAuthType INSTANCE = new GoogleAuthType(); 
	
	protected GoogleAuthType() {
		super("google", new GoogleAuthenticator());
	}

	@Override
	public String getLocalizedName() {
		return "Google Authentication";
	}
}
